<div class="input-file-selected-container">
    <div class="input-file-preview-container">
        @ChildContent
    </div>
    @if (OnDelete != null)
    {
        <i class="bi bi-x-circle-fill text-danger input-file-delete" @onclick="() => OnDelete.Invoke()"></i>
    }
</div>

@code {
    [Parameter]
    public RenderFragment? ChildContent { get; set; }
    
    [Parameter]
    public Action? OnDelete { get; set; }
}